## qubes-gui-agent 4.0.36

=== debian/changelog ===
qubes-gui-agent (4.0.36-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 15 Mar 2021 23:23:22 +0100

qubes-gui-agent (4.0.36-1) unstable; urgency=medium

  [ Rusty Bird ]
  * vmside: fix strncat() buffer overflow in getwmname_tochar()

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 15 Mar 2021 23:23:22 +0100
