=== debian/control ===
Source: qubes-gui-agent
Section: admin
Priority: extra
Maintainer: Davíð Steinn Geirsson <david@dsg.is>
Build-Depends:
    debhelper,
    libpam0g-dev,
    libpulse-dev,
    libtool,
    automake,
    xserver-xorg-dev,
    xutils-dev,
    libvchan-xen-dev,
    libx11-dev,
    libxcomposite-dev,
    libxdamage-dev,
    x11proto-xf86dga-dev,
    libxt-dev,
    lsb-release,
    quilt,
    qubes-gui-common (>= 3.2.0),
    qubesdb-dev,
    libltdl-dev
Standards-Version: 4.4.0.1
Homepage: http://www.qubes-os.org/
#Vcs-Git: git://git.debian.org/collab-maint/qubes-gui-agent.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/qubes-gui-agent.git;a=summary

Package: qubes-gui-agent
Architecture: any
Depends:
    xserver-xorg-core,
    xinit,
    x11-xserver-utils,
    qubes-core-agent (>= 3.0.14),
    qubesdb-vm,
    libxdamage1,
    libxcomposite1,
    libxt6,
    libx11-6,
    python3,
    python3-xcffib,
    xserver-xorg-video-dummyqbs (= ${binary:Version}),
    xserver-xorg-input-qubes (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends}
Recommends: qt4-qtconfig, pulseaudio-qubes
Provides: x-display-manager
Description: Makes X11 windows available to qubes dom0
 The Qubes GUI agent allows the forwarding of running app windows to the
 qubes dom0. It also includes various extras such as copy/paste support.

Package: xserver-xorg-video-dummyqbs
Architecture: any
Depends:
 ${xviddriver:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${xviddriver:Provides}
Replaces: qubes-gui-agent (<< 3.2.11-1)
Breaks: qubes-gui-agent (<< 3.2.11-1)
Description: Dummy X video driver for qubes-gui-agent
 Dummy X video driver for Qubes VM, with XRandr support.

Package: xserver-xorg-input-qubes
Architecture: any
Depends:
 ${xinpdriver:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${xinpdriver:Provides}
Replaces: qubes-gui-agent (<< 3.2.11-1)
Breaks: qubes-gui-agent (<< 3.2.11-1)
Description: X input driver for injecting events from qubes-gui-agent
 This driver inject input events delivered through qubes-gui-agent.
 Additionally it helps retrieving composition buffers of windows.

Package: pulseaudio-qubes
Architecture: any
Depends:
    pulseaudio,
    libpulse0,
    ${shlibs:Depends},
    ${pulse:Depends},
    ${misc:Depends}
Replaces: qubes-gui-agent (<< 4.0.0-1)
Breaks: qubes-gui-agent (<< 4.0.0-1)
Description: Audio support for Qubes VM
 Pulseaudio module to enable sound support in Qubes VM
