## qubes-gui-agent 4.0.37

=== debian/changelog ===
qubes-gui-agent (4.0.37-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 10 Jul 2021 04:04:18 +0200

qubes-gui-agent (4.0.37-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: ensure R for few x11 tools

  [ Marek Marczykowski-Górecki ]
  * rpm: add xrandr dependency

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 10 Jul 2021 04:04:18 +0200
