## qubes-gui-agent 4.1.0

=== Makefile ===
--- 
+++ 
@@ -28,8 +28,7 @@
 USRLIBDIR ?= /usr/lib
 SYSLIBDIR ?= /lib
 DATADIR ?= /usr/share
-PA_VER_FULL ?= $(shell pkg-config --modversion libpulse | cut -d "-" -f 1 || echo 0.0)
-PA_VER_MAJOR_MINOR ?= $(shell echo $(PA_VER_FULL) | cut -d "." -f 1,2)
+PA_VER ?= $(shell pkg-config --modversion libpulse | cut -d "-" -f 1 || echo 0.0)
 
 help:
 	@echo "Qubes GUI main Makefile:" ;\
@@ -46,7 +45,8 @@
 
 appvm: gui-agent/qubes-gui gui-common/qubes-gui-runuser \
 	xf86-input-mfndev/src/.libs/qubes_drv.so \
-	xf86-video-dummy/src/.libs/dummyqbs_drv.so pulse/module-vchan-sink.so
+	xf86-video-dummy/src/.libs/dummyqbs_drv.so pulse/module-vchan-sink.so \
+	xf86-qubes-common/libxf86-qubes-common.so
 
 gui-agent/qubes-gui:
 	(cd gui-agent; $(MAKE))
@@ -54,16 +54,19 @@
 gui-common/qubes-gui-runuser:
 	(cd gui-common; $(MAKE))
 
-xf86-input-mfndev/src/.libs/qubes_drv.so:
-	(cd xf86-input-mfndev && ./autogen.sh && ./configure && make LDFLAGS=-lu2mfn)
+xf86-input-mfndev/src/.libs/qubes_drv.so: xf86-qubes-common/libxf86-qubes-common.so
+	(cd xf86-input-mfndev && ./autogen.sh && ./configure && make)
 
-xf86-video-dummy/src/.libs/dummyqbs_drv.so:
+xf86-video-dummy/src/.libs/dummyqbs_drv.so: xf86-qubes-common/libxf86-qubes-common.so
 	(cd xf86-video-dummy && ./autogen.sh && make)
 
 pulse/module-vchan-sink.so:
 	rm -f pulse/pulsecore
-	ln -s pulsecore-$(PA_VER_FULL) pulse/pulsecore
+	ln -s pulsecore-$(PA_VER) pulse/pulsecore
 	$(MAKE) -C pulse module-vchan-sink.so
+
+xf86-qubes-common/libxf86-qubes-common.so:
+	$(MAKE) -C xf86-qubes-common libxf86-qubes-common.so
 
 rpms: rpms-dom0 rpms-vm
 	rpm --addsign rpm/x86_64/*$(VERSION)*.rpm
@@ -80,21 +83,20 @@
 	(cd gui-agent && $(MAKE) clean)
 	(cd gui-common && $(MAKE) clean)
 	$(MAKE) -C pulse clean
+	$(MAKE) -C xf86-qubes-common clean
 	(cd xf86-input-mfndev; if [ -e Makefile ] ; then \
 		$(MAKE) distclean; fi; ./bootstrap --clean || echo )
-	rm -rf debian/changelog.*
-	rm -rf pkgs
 
 
 install: install-rh-agent install-pulseaudio
 
 install-rh-agent: appvm install-common
+	install -D appvm-scripts/etc/init.d/qubes-gui-agent \
+		$(DESTDIR)/etc/init.d/qubes-gui-agent
 	install -m 0644 -D appvm-scripts/qubes-gui-agent.service \
 		$(DESTDIR)/$(SYSLIBDIR)/systemd/system/qubes-gui-agent.service
 	install -m 0644 -D appvm-scripts/etc/sysconfig/desktop \
 		$(DESTDIR)/etc/sysconfig/desktop
-	install -D appvm-scripts/etc/sysconfig/modules/qubes-u2mfn.modules \
-		$(DESTDIR)/etc/sysconfig/modules/qubes-u2mfn.modules
 	install -m 0755 -D appvm-scripts/etc/X11/xinit/xinitrc.d/qubes-keymap.sh \
 		$(DESTDIR)/etc/X11/xinit/xinitrc.d/qubes-keymap.sh
 	install -D appvm-scripts/etc/X11/xinit/xinitrc.d/20qt-x11-no-mitshm.sh \
@@ -121,13 +123,8 @@
 		$(DESTDIR)/usr/bin/start-pulseaudio-with-vchan
 	install -m 0644 -D pulse/qubes-default.pa \
 		$(DESTDIR)/etc/pulse/qubes-default.pa
-ifneq ($(shell lsb_release -is), Ubuntu)
 	install -D pulse/module-vchan-sink.so \
-		$(DESTDIR)$(LIBDIR)/pulse-$(PA_VER_MAJOR_MINOR)/modules/module-vchan-sink.so
-else
-	install -D pulse/module-vchan-sink.so \
-		$(DESTDIR)$(LIBDIR)/pulse-$(PA_VER_FULL)/modules/module-vchan-sink.so
-endif
+		$(DESTDIR)$(LIBDIR)/pulse-$(PA_VER)/modules/module-vchan-sink.so
 	install -m 0644 -D appvm-scripts/etc/tmpfiles.d/qubes-pulseaudio.conf \
 		$(DESTDIR)/$(USRLIBDIR)/tmpfiles.d/qubes-pulseaudio.conf
 	install -m 0644 -D appvm-scripts/etc/xdgautostart/qubes-pulseaudio.desktop \
@@ -144,6 +141,8 @@
 		$(DESTDIR)/usr/bin/qubes-change-keyboard-layout
 	install -D appvm-scripts/usrbin/qubes-set-monitor-layout \
 		$(DESTDIR)/usr/bin/qubes-set-monitor-layout
+	install -D xf86-qubes-common/libxf86-qubes-common.so \
+		$(DESTDIR)$(LIBDIR)/libxf86-qubes-common.so
 	install -D xf86-input-mfndev/src/.libs/qubes_drv.so \
 		$(DESTDIR)$(LIBDIR)/xorg/modules/drivers/qubes_drv.so
 	install -D xf86-video-dummy/src/.libs/dummyqbs_drv.so \
@@ -166,8 +165,7 @@
 endif
 	install -m 0644 -D appvm-scripts/qubes-gui-vm.gschema.override \
 		$(DESTDIR)$(DATADIR)/glib-2.0/schemas/20_qubes-gui-vm.gschema.override
-	install -d $(DESTDIR)/etc/qubes-rpc
-	ln -s ../../usr/bin/qubes-set-monitor-layout \
+	install -m 0644 -D appvm-scripts/etc/qubes-rpc/qubes.SetMonitorLayout \
 		$(DESTDIR)/etc/qubes-rpc/qubes.SetMonitorLayout
 	install -D window-icon-updater/icon-sender \
 		$(DESTDIR)/usr/lib/qubes/icon-sender
@@ -175,8 +173,6 @@
 		$(DESTDIR)/etc/xdg/autostart/qubes-icon-sender.desktop
 	install -D -m 0644 appvm-scripts/usr/lib/sysctl.d/30-qubes-gui-agent.conf \
 		$(DESTDIR)/usr/lib/sysctl.d/30-qubes-gui-agent.conf
-	install -D -m 0644 appvm-scripts/usr/lib/modules-load.d/qubes-gui.conf \
-		$(DESTDIR)/usr/lib/modules-load.d/qubes-gui.conf
 	install -D -m 0644 appvm-scripts/lib/udev/rules.d/70-master-of-seat.rules \
 		$(DESTDIR)/$(SYSLIBDIR)/udev/rules.d/70-master-of-seat.rules
 ifeq ($(shell lsb_release -is), Debian)
