## qubes-gui-agent 4.1.2

=== debian/changelog ===
qubes-gui-agent (4.1.2-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Mon, 01 Jul 2019 02:29:38 +0200

qubes-gui-agent (4.1.2-1) wheezy; urgency=medium

  [ Laurent ]
  * Update PKGBUILD

  [ xaki23 ]
  * add modargs for target domid and sink/source descr strings

  [ Marek Marczykowski-Górecki ]
  * Build package for dom0 too
  * debian: add Build-Depends: lsb-release

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 01 Jul 2019 02:29:38 +0200
