## qubes-gui-agent 4.1.4

=== Makefile ===
--- 
+++ 
@@ -135,6 +135,8 @@
 		$(DESTDIR)/usr/bin/qubes-session
 	install -D appvm-scripts/usrbin/qubes-run-xorg \
 		$(DESTDIR)/usr/bin/qubes-run-xorg
+	install -D appvm-scripts/usrbin/qubes-run-xephyr \
+		$(DESTDIR)/usr/bin/qubes-run-xephyr
 	install -D appvm-scripts/usrbin/qubes-change-keyboard-layout \
 		$(DESTDIR)/usr/bin/qubes-change-keyboard-layout
 	install -D appvm-scripts/usrbin/qubes-set-monitor-layout \
@@ -157,6 +159,8 @@
 		$(DESTDIR)/$(USRLIBDIR)/tmpfiles.d/qubes-session.conf
 	install -m 0644 -D appvm-scripts/etc/securitylimits.d/90-qubes-gui.conf \
 		$(DESTDIR)/etc/security/limits.d/90-qubes-gui.conf
+	install -D appvm-scripts/etc/X11/xinit/xinitrc.d/50-guivm-windows-prefix.sh \
+		$(DESTDIR)/etc/X11/xinit/xinitrc.d/50-guivm-windows-prefix.sh
 ifneq ($(shell lsb_release -is), Ubuntu)
 	install -m 0644 -D appvm-scripts/etc/xdg/Trolltech.conf \
 		$(DESTDIR)/etc/xdg/Trolltech.conf
@@ -169,6 +173,8 @@
 		$(DESTDIR)/usr/lib/qubes/icon-sender
 	install -m 0644 -D window-icon-updater/qubes-icon-sender.desktop \
 		$(DESTDIR)/etc/xdg/autostart/qubes-icon-sender.desktop
+	install -m 0644 -D appvm-scripts/etc/xdgautostart/qubes-qrexec-fork-server.desktop \
+		$(DESTDIR)/etc/xdg/autostart/qubes-qrexec-fork-server.desktop
 	install -D -m 0644 appvm-scripts/usr/lib/sysctl.d/30-qubes-gui-agent.conf \
 		$(DESTDIR)/usr/lib/sysctl.d/30-qubes-gui-agent.conf
 	install -D -m 0644 appvm-scripts/lib/udev/rules.d/70-master-of-seat.rules \
