=== gui-common/Makefile ===
CC ?= gcc
CFLAGS += -g -Wall -Wextra -Werror -pie -fPIC
LDLIBS = -lpam

all: qubes-gui-runuser

qubes-gui-runuser: qubes-gui-runuser.c

clean:
	rm -f *.o
