=== debian/changelog ===
qubes-gui-agent (4.1.4-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 13 Nov 2019 06:13:10 +0100

qubes-gui-agent (4.1.4-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix qubes-change-keyboard-layout after migrating to python3

  [ Neowutran ]
  * add pulseaudio 13.0 headers

  [ Marek Marczykowski-Górecki ]
  * archlinux: do not force python2 anymore
  * rpm: update pulseaudio version

  [ Neowutran ]
  * Archlinux: Allow any pulseaudio version between 13.0 and 14.0 for
    qubes-vm-pulseaudio

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic
  * qubes-keymap: handle input of keyboard layout
  * qubes-keymap: handle variant in qubesdb
  * qubes-run-xorg: make ShellChek happy
  * Improve GuiVM session workflow
  * qubes-run-xephyr: update options
  * qubes-run-xorg: improvements from Marek's investigations for session
    reseting
  * qubes-keymap: handle options in qubesdb
  * xinitrc.d: add set of _QUBES_VMNAME atom

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 13 Nov 2019 06:13:10 +0100
