=== debian/changelog ===
qubes-gui-agent (4.1.5-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 30 Nov 2019 05:14:16 +0100

qubes-gui-agent (4.1.5-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * qvm-features-request: add guivm-gui-agent
  * qubes-session: fix too late loginctl activate
  * vmside: fix vchan reconnect to domid 0
  * module-vchan-sink: read domid from qubesdb
  * module-vchan-sink: convert tabs to spaces
  * module-vchan-sink: log for domid used

  [ Otto Sabart ]
  * archlinux: qubes-vm-gui: update PKGBUILD

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 30 Nov 2019 05:14:16 +0100
