=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: extra
 Maintainer: Davíð Steinn Geirsson <david@dsg.is>
 Build-Depends:
-    debhelper,
     libpam0g-dev,
     libpulse-dev,
     libtool,
@@ -16,12 +15,15 @@
     libxdamage-dev,
     x11proto-xf86dga-dev,
     libxt-dev,
+    libxen-dev,
     lsb-release,
     quilt,
-    qubes-gui-common (>= 3.2.0),
+    debhelper (>= 8.0.0),
+    qubes-gui-common (>= 4.1.0),
     qubesdb-dev,
+    dh-systemd (>= 1.5),
     libltdl-dev
-Standards-Version: 4.4.0.1
+Standards-Version: 3.9.8
 Homepage: http://www.qubes-os.org/
 #Vcs-Git: git://git.debian.org/collab-maint/qubes-gui-agent.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/qubes-gui-agent.git;a=summary
@@ -50,12 +52,21 @@
  The Qubes GUI agent allows the forwarding of running app windows to the
  qubes dom0. It also includes various extras such as copy/paste support.
 
+Package: xserver-xorg-qubes-common
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: Common functions for qubes xserver driver
+ Shared library which contains common functions of the Qubes xserver drivers.
+
 Package: xserver-xorg-video-dummyqbs
 Architecture: any
 Depends:
  ${xviddriver:Depends},
  ${shlibs:Depends},
- ${misc:Depends}
+ ${misc:Depends},
+ xserver-xorg-qubes-common (= ${binary:Version})
 Provides:
  ${xviddriver:Provides}
 Replaces: qubes-gui-agent (<< 3.2.11-1)
@@ -68,7 +79,8 @@
 Depends:
  ${xinpdriver:Depends},
  ${shlibs:Depends},
- ${misc:Depends}
+ ${misc:Depends},
+ xserver-xorg-qubes-common (= ${binary:Version})
 Provides:
  ${xinpdriver:Provides}
 Replaces: qubes-gui-agent (<< 3.2.11-1)
