## qubes-gui-agent 4.1.6

=== Makefile ===
--- 
+++ 
@@ -170,7 +170,8 @@
 endif
 	install -m 0644 -D appvm-scripts/qubes-gui-vm.gschema.override \
 		$(DESTDIR)$(DATADIR)/glib-2.0/schemas/20_qubes-gui-vm.gschema.override
-	install -m 0644 -D appvm-scripts/etc/qubes-rpc/qubes.SetMonitorLayout \
+	install -d $(DESTDIR)/etc/qubes-rpc
+	ln -s ../../usr/bin/qubes-set-monitor-layout \
 		$(DESTDIR)/etc/qubes-rpc/qubes.SetMonitorLayout
 	install -D window-icon-updater/icon-sender \
 		$(DESTDIR)/usr/lib/qubes/icon-sender
@@ -182,6 +183,8 @@
 		$(DESTDIR)/usr/lib/sysctl.d/30-qubes-gui-agent.conf
 	install -D -m 0644 appvm-scripts/lib/udev/rules.d/70-master-of-seat.rules \
 		$(DESTDIR)/$(SYSLIBDIR)/udev/rules.d/70-master-of-seat.rules
+	install -D appvm-scripts/usr/lib/qubes/qubes-gui-agent-pre.sh \
+		$(DESTDIR)/usr/lib/qubes/qubes-gui-agent-pre.sh
 ifeq ($(shell lsb_release -is), Debian)
 	install -D -m 0644 appvm-scripts/etc/pam.d/qubes-gui-agent.debian \
 		$(DESTDIR)/etc/pam.d/qubes-gui-agent
