=== pulse/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 CC=gcc
 CFLAGS=-Wall -Wextra -Werror -O2
+LIBS=-lqubesdb
 VCHANLIBS=`pkg-config --libs vchan-$(BACKEND_VMM)`
 VCHANCFLAGS=`pkg-config --cflags vchan-$(BACKEND_VMM)`
 GLIBCFLAGS=`pkg-config --cflags glib-2.0` `pkg-config --cflags dbus-glib-1`
@@ -7,7 +8,7 @@
 all: module-vchan-sink.so
 module-vchan-sink.so: module-vchan-sink.o
 	$(CC) -shared -o module-vchan-sink.so module-vchan-sink.o \
-		$(VCHANLIBS)
+		$(VCHANLIBS) $(LIBS)
 module-vchan-sink.o: module-vchan-sink.c
 	$(CC) $(CFLAGS) -g -c $(VCHANCFLAGS) -fPIC module-vchan-sink.c  -DHAVE_CONFIG_H -I.
 clean:
