=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
     libx11-dev,
     libxcomposite-dev,
     libxdamage-dev,
+    libxfixes-dev,
     x11proto-xf86dga-dev,
     libxt-dev,
     libxen-dev,
@@ -35,9 +36,10 @@
     xinit,
     x11-xserver-utils,
     qubes-core-agent (>= 3.0.14),
-    qubesdb-vm,
+    qubesdb-vm (>= 4.1.4),
     libxdamage1,
     libxcomposite1,
+    libxfixes3,
     libxt6,
     libx11-6,
     python3,
@@ -92,6 +94,7 @@
 Package: pulseaudio-qubes
 Architecture: any
 Depends:
+    qubesdb-vm (>= 4.1.4),
     pulseaudio,
     libpulse0,
     ${shlibs:Depends},
