=== gui-agent/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 CFLAGS += -I../include/ `pkg-config --cflags vchan-$(BACKEND_VMM)` -g -Wall -Wextra -Werror -pie -fPIC
 OBJS = vmside.o \
 	../gui-common/txrx-vchan.o ../gui-common/error.o ../common/list.o 
-LIBS = -lX11 -lXdamage -lXcomposite `pkg-config --libs vchan-$(BACKEND_VMM)` -lqubesdb
+LIBS = -lX11 -lXdamage -lXcomposite -lXfixes `pkg-config --libs vchan-$(BACKEND_VMM)` -lqubesdb
 
 
 all: qubes-gui
