=== debian/control ===
--- 
+++ 
@@ -100,7 +100,15 @@
     ${shlibs:Depends},
     ${pulse:Depends},
     ${misc:Depends}
-Replaces: qubes-gui-agent (<< 4.0.0-1)
-Breaks: qubes-gui-agent (<< 4.0.0-1)
+Replaces: qubes-gui-agent (<< 4.1.9-1)
+Breaks: qubes-gui-agent (<< 4.1.9-1)
 Description: Audio support for Qubes VM
  Pulseaudio module to enable sound support in Qubes VM
+
+Package: qubes-gui-agent-xfce
+Architecture: any
+Depends:
+    ${shlibs:Depends},
+    ${misc:Depends}
+Description: XFCE desktop support for Qubes VM
+ XFCE desktop support for Qubes VM
